## ovn 25.03.1

=== Documentation/requirements.txt ===
sphinx>=1.1
sphinx_rtd_theme>=1.0,<2.0

=== debian/changelog ===
ovn (25.03.1-0ubuntu0.25.04.2~cloud0) noble-epoxy; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Oct 2025 23:11:11 +0000

ovn (25.03.1-0ubuntu0.25.04.2) plucky; urgency=medium

  * d/p/lp-2123914-controller-Fix-mapping-of-learned-routes-to-LRP.patch:
    Fix issue with dynamic-routing-port-name option (LP: #2123914).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 15 Oct 2025 09:23:16 +0000

ovn (25.03.1-0ubuntu0.25.04.1) plucky; urgency=medium

  * New upstream point release 25.03.1 (LP: #2119283).
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch:
    Drop, included in the point release update.
  * d/p/lp-2119151-Revert-northd-Don-t-skip-the-unSNAT-stage-for-traffi.patch:
    [Hardware Offload] Fix traffic from SNATed networks to Load Balancer
    VIPs (LP: #2119151).

 -- Martin Kalcok <martin.kalcok@canonical.com>  Wed, 30 Jul 2025 20:45:03 +0000

=== debian/control ===
Source: ovn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 architecture-is-64-bit,
 autoconf,
 automake,
 bash (>= 5.2.15~),
 bzip2,
 debhelper-compat (= 13),
 dh-python,
 graphviz,
 libcap-ng-dev,
 libnuma-dev [amd64 i386 ppc64el arm64],
 libpcap-dev [amd64 i386 ppc64el arm64],
 libssl-dev,
 libtool,
 libudev-dev,
 libunbound-dev,
 openssl,
 openstack-pkg-tools,
 openvswitch-source (>= 3.5.0~),
 pkgconf,
 procps,
 python3-all-dev,
 python3-scapy,
 python3-setuptools,
 python3-sortedcontainers,
 python3-sphinx,
 tcpdump,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
Homepage: http://openvswitch.org/

Package: ovn-central
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 lsb-release,
 openvswitch-common (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN central components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction. OVN complements the existing capabilities of OVS to add native
 support for virtual network abstractions, such as virtual L2 and L3 overlays
 and security groups.
 .
 ovn-central provides the userspace daemons, utilities and
 databases for OVN that is run at a central location.

Package: ovn-common
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Breaks:
 ovn-ic-db (<< 22.03~),
Replaces:
 ovn-ic-db (<< 22.03~),
Description: OVN common components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction. OVN complements the existing capabilities of OVS to add native
 support for virtual network abstractions, such as virtual L2 and L3 overlays
 and security groups.
 .
 ovn-common provides components required by other OVN packages.

Package: ovn-controller-vtep
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN vtep controller
 ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
 Network, for VTEP enabled physical switches. It connects up to the OVN
 Southbound database over the OVSDB protocol, and down to the VTEP database
 over the OVSDB protocol.
 .
 ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
 vtep gateways.

Package: ovn-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OVN documentation
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 This package provides documentation for configuration and use
 of OVN.

Package: ovn-docker
Architecture: linux-any
Depends:
 openvswitch-common (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 python3-openvswitch (>= 2.17.0~),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OVN Docker drivers
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-docker provides the docker drivers for OVN.

Package: ovn-host
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 lsb-release,
 openvswitch-switch (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN host components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-host provides the userspace components and utilities for
 OVN that can be run on every host/hypervisor.

Package: ovn-ic
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 lsb-release,
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 ovn-central,
Suggests:
 ovn-ic-db,
Description: Open Virtual Network interconnection controller
 OVN IC, the Open Virtual Network interconnection controller, is a
 centralized daemon which communicates with global interconnection
 databases to configure and exchange data with local OVN databases for
 interconnection with other OVN deployments.
 .
 This package provides the ovn-ic daemon which should be run alongside
 ovn-central services in each OVN deployment zone.

Package: ovn-ic-db
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 lsb-release,
 openvswitch-common (>= 2.17.0~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open Virtual Network interconnection controller databases
 OVN IC, the Open Virtual Network interconnection controller, is a
 centralized daemon which communicates with global interconnection
 databases to configure and exchange data with local OVN databases for
 interconnection with other OVN deployments.
 .
 This package provides the global OVN IC southbound and northbound
 OVSDB databases.

## ovn 25.09.0~git20250813.23884f5

=== debian/changelog ===
ovn (25.09.0~git20250813.23884f5-maysync1) questing; urgency=medium

  * Update upstream source from tag 'upstream/25.09.0~git20250813.23884f5'.
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch:
    Drop, included in new upstream release.
  * d/p/lp-2066194-tests-Ignore-ovs-vswitchd-received-packet-on-unknown.patch:
    Refresh.
  * d/control: Bump openvswitch dependency.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 13 Aug 2025 06:55:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -23,7 +22,7 @@
  libunbound-dev,
  openssl,
  openstack-pkg-tools,
- openvswitch-source (>= 3.5.0~),
+ openvswitch-source (>= 3.6.0~),
  pkgconf,
  procps,
  python3-all-dev,

## ovn 25.09.0

=== debian/changelog ===
ovn (25.09.0-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * d/rules: Fix FTBFS caused by toolchain change (Closes: #1118193).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Fri, 17 Oct 2025 12:50:10 +0000

ovn (25.09.0-2) unstable; urgency=medium

  * Team upload.
  * d/t/control: Add iputils-ping as test dependency (LP: #2126981).
  * d/p/lp-2123914-controller-Fix-mapping-of-learned-routes-to-LRP.patch:
    Fix issue with dynamic-routing-port-name option (LP: #2123914).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 15 Oct 2025 06:58:20 +0000

ovn (25.09.0-1) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * ovn-common: fix ovndb-servers.ocf and use dh_link instead of
    maintainer scripts (Closes: #1040383).
  * Stop shipping /var/ directories in package and use systemd service
    directives instead.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/25.09.0'.
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch: Drop,
    included in new upstream version.
  * debian/patches/lp-2066194-tests-Ignore-ovs-vswitchd-received-packet-
    on-unknown.patch: Refresh.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 09 Sep 2025 15:36:26 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,python3,sphinxdoc

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

override_dh_auto_configure:
	# Configure OVS before OVN
	test -f $(CURDIR)/ovs/configure || \
		rm -rf $(CURDIR)/ovs && \
		cp -R /usr/src/openvswitch $(CURDIR)/ovs
	cd ovs && autoreconf -f -i -v && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
	# Configure OVN to allow building OVN VIF
	./boot.sh && ./configure \
		--prefix=/usr \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--with-dbdir=/var/lib/ovn \
		--with-ovs-source=$(CURDIR)/ovs \
		--enable-ssl
	# Configure and build OVN VIF
	cd ovn-vif && \
		./boot.sh && \
		./configure \
			--with-ovs-source=$(CURDIR)/ovs \
			--with-ovn-source=$(CURDIR) \
			--enable-plug-representor && \
		make $(PARALLEL)
	# Use dh_auto_configure to build OVN
	dh_auto_configure -- \
		--prefix=/usr \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--with-dbdir=/var/lib/ovn \
		--with-ovs-source=$(CURDIR)/ovs \
		--enable-ssl \
		--with-vif-plug-provider=$(CURDIR)/ovn-vif

TEST_LIST = $(shell \
	        cat $(CURDIR)/debian/skip-tests.txt \
                    $(CURDIR)/debian/flaky-tests-$(DEB_HOST_ARCH).txt | \
                $(CURDIR)/debian/testlist.py - $(CURDIR)/tests/testsuite)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if $(MAKE) check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST)' \
		             RECHECK=yes SKIP_UNSTABLE=yes; then :; \
	else \
		cat tests/testsuite.log; \
		exit 1; \
	fi
endif # nocheck

override_dh_auto_build:
	cd ovs && $(MAKE) $(PARALLEL)
	$(MAKE) $(PARALLEL)

override_dh_auto_clean:
	dh_auto_clean
	cd ovn-vif && make distclean | :
	rm -rf ovs
	rm -rf ovn-vif/Documentation/_build
	rm -rf ovn-vif/build-aux/compile
	set -e ; set -x ; for i in config.guess config.sub depcomp install-sh ltmain.sh missing ; do rm rm -rf ovn-vif/build-aux/$$i ; done
	rm -f ovn-vif/config.status ovn-vif/configure ovn-vif/docs-check ovn-vif/lib/.dirstamp
	rm -rf ovn-vif/lib/.libs
	rm -f ovn-vif/lib/*.o
	rm -f ovn-vif/lib/vif-plug-providers/representor/.dirstamp  ovn-vif/lib/vif-plug-providers/representor/tests_ovstest-vif-plug-representor.o ovn-vif/lib/vif-plug-providers/representor/vif-plug-representor.o \
		ovn-vif/tests/.dirstamp ovn-vif/tests/ovstest
	rm -f ovn-vif/tests/*.o
	rm -f ovn-vif/tests/system-kmod-testsuite
	rm -f ovn-vif/utilities/devlink ovn-vif/utilities/devlink.o
	rm -f tests/perf-testsuite tests/system-kmod-testsuite tests/system-userspace-testsuite tests/testsuite
	rm -f ovn-vif/libtool ovn-vif/tests/testsuite ovn-vif/utilities/.dirstamp package.m4 rhel/ovn-fedora.spec

	set -e ; set -x ; for i in Makefile Makefile.in aclocal.m4 config.h config.h.in config.log distfiles include/ovn-vif/version.h lib/libovn-vif.la lib/libovn-vif.sym lib/netlink-devlink.lo lib/ovn-vif.lo lib/vif-plug-providers/representor/vif-plug-representor.lo libtool m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 package.m4 stamp-h1 tests/atconfig tests/atlocal tests/testsuite ; do \
		rm -f ovn-vif/$$i ; \
	done

execute_after_dh_auto_install:
	rm -f $(CURDIR)/debian/tmp/usr/bin/ovn-detrace
	mv $(CURDIR)/debian/tmp/usr/bin/ovn_detrace.py \
		$(CURDIR)/debian/tmp/usr/bin/ovn-detrace

override_dh_installinit:
	# Package does not ship any init.d files
	dh_installinit --no-scripts

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-northd
	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-sb
	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-nb
	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
	dh_installsystemd --restart-after-upgrade

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Helper target for creating snapshots from upstream git
DATE=$(shell date +%Y%m%d)
# Upstream branch to track
BRANCH=branch-25.03
VERSION=25.03.0

get-orig-snapshot:
	rm -Rf ovn-upstream ovn-vif-upstream
	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn ovn-upstream
	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn-vif ovn-vif-upstream
	cd ovn-upstream && \
		export COMMIT=`git rev-parse --short HEAD` && \
		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH) && \
		cd ../ovn-vif-upstream && \
		git archive --format tgz --prefix=ovn-vif-$(VERSION)~git$(DATE).$$COMMIT/ \
			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig-ovn-vif.tar.gz $(BRANCH)
	rm -Rf ovn-upstream ovn-vif-upstream

=== debian/tests/control ===
Tests: kmod
Depends:
 @,
 conntrack,
 curl,
 ethtool,
 iputils-ping,
 net-tools,
 ncat,
 python3-pyftpdlib,
 python3-scapy,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,

# The dpdk tests are marked `skippable`, because they have environment specific
# requirements which may or may not be available at runtime (hugepages setup).
Tests: dpdk
Depends:
 @,
 conntrack,
 curl,
 dpdk-dev [amd64 ppc64el arm64 riscv64],
 ethtool,
 iputils-ping,
 net-tools,
 ncat,
 openvswitch-switch-dpdk [amd64 ppc64el arm64 riscv64],
 python3-pyftpdlib,
 python3-scapy,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 build-needed,
 isolation-machine,
 needs-root,
 rw-build-tree,
 skippable,

## ovn 26.03.0~git20260216.b543a88

=== debian/changelog ===
ovn (26.03.0~git20260216.b543a88-3) unstable; urgency=medium

  * Add 2 unit tests to flaky-tests-riscv64.txt.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Feb 2026 09:28:54 +0100

ovn (26.03.0~git20260216.b543a88-2) unstable; urgency=medium

  * Cleans better (Closes: #1045869).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Feb 2026 15:03:03 +0100

ovn (26.03.0~git20260216.b543a88-1) unstable; urgency=medium

  * Team upload.
  * d/p/lp-2142024-tests-ovn-controller-Sort-output-of-dump-flows.patch: Fix incorrect sort order assumption in test.
  * d/p/lp-2123914-controller-Fix-mapping-of-learned-routes-to-LRP: Drop, included upstream in 470244c60.
  * d/ovn-host.service: ovn-br-controller and ovn-ovsdb-server-br services.
  * d/ovn-common.install: Adds ovn-brctl and manpages for ovn-br and
    ovn-br-controller.
  * d/ovn-host.install: Adds ovn-br-controller binary and ovn-br.ovsschema.
  * d/control: Update openvswitch source to 3.7.0.
  * Update upstream source from tag 'upstream/26.03.0_git20260216.b543a88'.

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Tue, 17 Feb 2026 13:33:14 +0000

=== debian/rules ===
--- 
+++ 
@@ -81,6 +81,28 @@
 	rm -f tests/perf-testsuite tests/system-kmod-testsuite tests/system-userspace-testsuite tests/testsuite
 	rm -f ovn-vif/libtool ovn-vif/tests/testsuite ovn-vif/utilities/.dirstamp package.m4 rhel/ovn-fedora.spec
 
+	rm -rf utilities/.deps \
+		tests/.deps \
+		br-controller/.deps \
+		controller-vtep/.deps \
+		controller/.deps \
+		ic/.deps \
+		lib/.deps \
+		lib/vif-plug-providers/dummy/.deps \
+		northd/.deps \
+		ovn-vif/lib/.deps \
+		ovn-vif/lib/vif-plug-providers/representor/.deps \
+		ovn-vif/tests/.deps \
+		ovn-vif/tests/.libs \
+		ovn-vif/utilities/.deps \
+		ovn-vif/utilities/.libs \
+		include/openflow \
+		ipsec \
+		tests/system-dpdk-testsuite \
+		tests/multinode-testsuite
+
+	mkdir -p ovs
+
 	set -e ; set -x ; for i in Makefile Makefile.in aclocal.m4 config.h config.h.in config.log distfiles include/ovn-vif/version.h lib/libovn-vif.la lib/libovn-vif.sym lib/netlink-devlink.lo lib/ovn-vif.lo lib/vif-plug-providers/representor/vif-plug-representor.lo libtool m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4 package.m4 stamp-h1 tests/atconfig tests/atlocal tests/testsuite ; do \
 		rm -f ovn-vif/$$i ; \
 	done
@@ -101,6 +123,8 @@
 	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
 	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
 	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
+	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-ovsdb-server-br    --no-start --no-enable
+	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-br-controller      --no-start --no-enable
 	dh_installsystemd --restart-after-upgrade
 
 override_dh_python3:
@@ -109,8 +133,8 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-25.03
-VERSION=25.03.0
+BRANCH=main
+VERSION=26.03.0
 
 get-orig-snapshot:
 	rm -Rf ovn-upstream ovn-vif-upstream
